package org.etsi.mts.tdl.scoping;

import org.eclipse.xtext.naming.IQualifiedNameConverter;
import org.eclipse.xtext.naming.QualifiedName;

public class TDLQualifiedNameConverter extends IQualifiedNameConverter.DefaultImpl{
	@Override
	public String toString(QualifiedName qualifiedName) {
		if (qualifiedName == null)
			throw new IllegalArgumentException("Qualified name cannot be null");
		return qualifiedName.getLastSegment().toString();
	}

}
